Video není dostupné.
Omlouváme se.

Maximal square | Dynamic programming | Leetcode

Sdílet
Vložit
  • čas přidán 14. 08. 2024
  • Given an m x n binary matrix filled with 0's and 1's, find the largest square containing only 1's and return its area.
    Example 1:
    Input: matrix = [["1","0","1","0","0"],["1","0","1","1","1"],["1","1","1","1","1"],["1","0","0","1","0"]]
    Output: 4
    Example 2:
    Input: matrix = [["0","1"],["1","0"]]
    Output: 1
    Example 3:
    Input: matrix = [["0"]]
    Output: 0
    Constraints:
    m == matrix.length
    n == matrix[i].length
    matrix[i][j] is '0' or '1'.

Komentáře • 30

  • @thellaidhinesh8929
    @thellaidhinesh8929 Před 3 měsíci +2

    i thought this was very complexed problem. after watching this video, i got the confidence to solve this problem. Thanks alisha!

  • @ankk98
    @ankk98 Před 8 měsíci

    The intuition behind this algo is that we are checking for all possible squares ending at the given index.
    So, we are using the results of maximum sized squares ending at 3 adjacent indexes and using that information to find out the max possible solution at current index.

  • @amanchaudhary8817
    @amanchaudhary8817 Před měsícem

    excellent explanation mam.

  • @manojtate9604
    @manojtate9604 Před 5 měsíci

    Great clarification! 😃

  • @shivanshpareek7278
    @shivanshpareek7278 Před rokem +2

    please add the link as well and ur playlists are best way to revise and the way you explain gives me confidence to speak in interviews ..
    Thanks a lot for amazing content

  • @pabitrakb5291
    @pabitrakb5291 Před 5 měsíci

    Nice explanation 😊

  • @Shivam-wl7fg
    @Shivam-wl7fg Před 7 měsíci

    Nice Explanation 😃

  • @user-gf1dp1zw8v
    @user-gf1dp1zw8v Před 2 měsíci

    I have a dought, you are returning the max area by 3* 3 but the right area is 2*3 right???

  • @prasannaprabhakar1323
    @prasannaprabhakar1323 Před 2 lety

    The way you are conveying the intuition part of the solution creates the difference.
    Nice choice of questions btw.

  • @shivanshyadu4830
    @shivanshyadu4830 Před 2 lety +1

    Ufff didi one of the best place and you just explained the code in really easy way, I saw everyone's video but they just copy pasting the solution ❤❤😊

  • @Coding_Destini
    @Coding_Destini Před rokem

    Thank you so much for this approach ... this is really easy

  • @kpjVideo
    @kpjVideo Před rokem

    Great explanation! This helped a bunch!

  • @duck3072
    @duck3072 Před rokem +2

    Can we solve problems by filling dp from last cell to first

  • @willingtushar
    @willingtushar Před 2 lety +1

    Nice explanation Indeed!

  • @user-bb8os4rw5i
    @user-bb8os4rw5i Před rokem

    thankyou so much worth watching!!!!

  • @BereniceVirginis
    @BereniceVirginis Před 6 měsíci

    Space Complexity: O(1)
    int maxSquare(int n, int m, vector mat){
    // code here
    int ans=0;
    for(int i=0;i

  • @shanidandanayak3806
    @shanidandanayak3806 Před 4 měsíci

    Arigatho

  • @vikashdhania2970
    @vikashdhania2970 Před 2 lety

    thanks mam

  • @raj_kundalia
    @raj_kundalia Před rokem

    thank you!

  • @anupamojha3836
    @anupamojha3836 Před 2 lety

    very nice explaination

  • @govinth2462
    @govinth2462 Před 8 měsíci

    I mam I want talk with your about my features opportunity where can connect with you

  • @shouryagupta8763
    @shouryagupta8763 Před 2 lety

    thanks a lot didi!

  • @anshulbhati5752
    @anshulbhati5752 Před 2 lety

    greatt explanation!

  • @rudrakshsharma4601
    @rudrakshsharma4601 Před 2 lety

    nice work alisha

  • @tiger7858
    @tiger7858 Před rokem +1

    inside if( i = = 0 || j = = 0) you are doing unnecessary work you can leave it as it is , nice explanation overall 🙏thank you